## Package edu.stanford.nlp.trees.tregex

Interface Summary
TregexParserConstants: Token literal values and constants.

Class Summary
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
Token: Describes the input token stream.
TregexMatcher: A TregexMatcher can be used to match a `TregexPattern` against a `Tree`.
TregexParserTokenManager: Token Manager.
TregexPattern: A TregexPattern is a `tgrep`-type pattern for matching tree node configurations.
TregexPattern.TRegexTreeReaderFactory
TregexPatternCompiler: A class for compiling TregexPatterns with specific HeadFinders and or basicCategoryFunctions.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError: Token Manager Error.

Stanford NLP Group